OnlyPreprocessingSolversAllowedException
Keywords: yacs.exceptions.OnlyPreprocessingSolversAllowedException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.exceptions
Class OnlyPreprocessingSolversAllowedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              yacs.exceptions.OnlyPreprocessingSolversAllowedException

All Implemented Interfaces:
  java.io.Serializable

public class OnlyPreprocessingSolversAllowedException
extends java.lang.Exception

Diese Exception wird ausgelöst, wenn an einer Stelle, an der ausschließlich Constraint-Solver für die Preprozessing-Phase genutzt werden sollen, fälschlicherweise andere Solver übergeben wurden.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)
See Also:
  Serialized Form

Constructor Summary
`OnlyPreprocessingSolversAllowedException()`
`OnlyPreprocessingSolversAllowedException(java.lang.String s)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OnlyPreprocessingSolversAllowedException

    public OnlyPreprocessingSolversAllowedException()

### OnlyPreprocessingSolversAllowedException

    public OnlyPreprocessingSolversAllowedException(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD